From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 5 March 2006<P>

I fully agree.
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 5 March 2006<P>

wow, i'm loving the topic on the blender. i look back on work and i'm not mad about it nor ashamed, i'm more curious about taking a peak at a younger me. i admit it's not my best work but whatever i wrote at that moment was how i felt at that time and i wouldn't take back one word in one line. <BR>
<BR>
speaking of old work does anybody have their favorite poem they wrote from back in the day? mines has to be "20 fingers tight" it just showed me how far me and my better half have travel together.<BR>
<BR>
~i'm just him~<BR>
  tru story<BR>
  tru story
<HR>
From: <a href="/blend/av.cgi?id=1120">Chances</a><BR>
Date: 5 March 2006<P>

I'm just him, that would mean going through my archive and I don't think I could take that right now. One day I'll have to decide on my penultimate favourite. My favourite poem at the moment of mine I wrote last year, it isn't romantic (but is personal), so isn't on site, and is safely tucked away in my diary. : )
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 5 March 2006<P>

Write a thousand poems and then tell us your favorite, now that would be hard.<BR>
<BR>
I've just recently started reading through mine and some need tweaking, but when I start doing that it ruins that moment in time so I try to keep them in tact as written with a few exceptions. I have a lot of favorites and all for different reasons. Time is the element here, we are creating a time capsule of love and sensuality that is uniquely extraordinary. <BR>
<BR>
Good to see you back Chances. How is school going?<BR>
<BR>
bk 
<HR>